Package org.apache.lucene.analysis.miscellaneous

## Class DropIfFlaggedFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.FilteringTokenFilter
        - - org.apache.lucene.analysis.miscellaneous.DropIfFlaggedFilter

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `Unwrappable<TokenStream>`

      public final class DropIfFlaggedFilter
      extends FilteringTokenFilter

  Allows Tokens with a given combination of flags to be dropped. If all flags specified are present the token is dropped, otherwise it is retained.
  Since:
    8.8.0
  See Also:
    `DropIfFlaggedFilterFactory`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DropIfFlaggedFilter​(TokenStream input, int dropFlags)` | Construct a token stream filtering the given input.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `accept()` |

    - ### Methods inherited from class org.apache.lucene.analysis.FilteringTokenFilter

      `end, incrementToken, reset`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, unwrap`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DropIfFlaggedFilter

          public DropIfFlaggedFilter​(TokenStream input,
                                     int dropFlags)

      Construct a token stream filtering the given input.
      Parameters:
        `input` - the source stream
        `dropFlags` - a combination of flags that indicates that the token should be dropped.

  - ### Method Detail

    - #### accept

          protected boolean accept()

      Specified by:
        `accept` in class `FilteringTokenFilter`